declare namespace _default {
    /**
     * get deviation Icon state
     */
    function getDeviationIconState(devType: any): "success" | "error" | "default";
    /**
     * Calculating how many ticks will fit on X Axis
     */
    function getXTickCount(): any;
    /**
     * Calculating how many ticks will fit on Y Axis
     */ function getYTickCount(): any;
    /**
     * Calculating tick values
     */ function getTickValues(): any;
    /**
     * Get size fo container
     */
    function getSize(): any;
    /**
     *
     * @returns {number} number of max ticks can plot
     */
    function getXMaxCulling(): number;
    /**
     * Build tolltip options
     */ function getTooltip(): {
        contents: (data: any, defaultTitleFormat: any, defaultValueFormat: any, color: any) => any;
        grouped: any;
        linked: any;
    };
    /**
     * Build y axis options
     */
    function getYAxisConfig(axisName: any): {
        tick: {
            culling: {
                max: any;
            };
            format: (value: any) => string;
        };
        padding: {
            bottom: number;
        };
    };
    /**
     * Used to format Y label values. Also this is used in formatting threshold label values
     * @param {*} value value
     * @param {*} axisName axis name either 'y' or 'y2'
     * @returns {String} formatted Y label
     */
    function formatYLabel(value: any, axisName: any): string;
    /**
     * get data for billboard
     */ function getData(): {
        x: string;
        columns: any[][];
        colors: {};
        axes: {};
        types: {};
    };
    /**
     * get threshold lines if any
     */ function getThresholdLines(): {
        lines: any[];
    };
    /**
     * Used to format threshold line label
     * @param {*} axisName 'y' | 'y2'
     * @param {*} value
     * @param {*} templateText template text must have '${threshold}' keyword
     * @returns {String} formatted String
     */
    function formatThresholdLabel(axisName: any, value: any, templateText: any): string;
    /**
     * get event lines if any
     */
    function getEventLines(): {
        lines: any[];
    };
    function getLatestValue(series: any): {
        y: string | number;
        unit: string;
    } | undefined;
    /**
     * Calculate Deviation in type number
     */
    function getDeviation(series: any): {
        value: string;
        unit: string;
        type: string;
    };
    function getSeriesColor(series: any): any;
    function getXminAndXmax(): any;
}
export default _default;
